Package csb :: Package bio :: Package fragments :: Module rosetta :: Class ResidueInfo

[frames] | no frames]

# Class ResidueInfo

source code

    object --+
             |
            ResidueInfo

Container struct for a single rosetta fragment residue.

Instance Methods

__init__(self, rank, aa, ss, torsion, calpha=`[``]`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

ResidueInfo

copy(self) Returns: a deep copy of the struct | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| omega
| phi
| psi
Inherited from `object`: `__class__`

Method Details

### __init__(self, rank, aa, ss, torsion, calpha=`[``]`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `rank` (int) - residue position (in the source chain, 1-based)
  - `aa` (str) - amino acid
  - `ss` (str) - secondary structure
  - `torsion` (csb.bio.structure.TorsionAngles) - torsion angles
Overrides: object.__init__
  (inherited documentation)

### copy(self)

source code

Returns: ResidueInfo
  a deep copy of the struct

Property Details

### omega

Get Method:
  unreachable.omega(self)

### phi

Get Method:
  unreachable.phi(self)

### psi

Get Method:
  unreachable.psi(self)